WinShopAPI docs
ReferenceItem lists

Companies / Representatives

List representatives

GET
/api/item-lists/companies/representatives

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/companies/representatives' \  -H 'Authorization: Bearer <access-token>'
[  {    "address1": "string",    "address2": "string",    "city": "string",    "companyId": 0,    "country": "string",    "dateOfBirth": "2019-08-24T14:15:22Z",    "dateOfNameDay": "2019-08-24T14:15:22Z",    "email": "string",    "eshopRepresentativeId": "string",    "fax": "string",    "functionId": 0,    "id": 0,    "isInformEnabled": true,    "mobilePhone": "string",    "name": "string",    "note": "string",    "phone": "string",    "surname": "string",    "title": "string",    "zipCode": "string"  }]

Get a representative

GET
/api/item-lists/companies/representatives/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
address1?|
Lengthlength <= 80
address2?|
Lengthlength <= 80
city?|
Lengthlength <= 50
companyId?|
Formatint32
country?|
Lengthlength <= 80
dateOfBirth?|
Formatdate-time
dateOfNameDay?|
Formatdate-time
email?|
Lengthlength <= 80
eshopRepresentativeId?string|null
fax?|
Lengthlength <= 20
functionId?|
Formatint32
id?|
Formatint32
isInformEnabled?boolean|null
mobilePhone?|
Lengthlength <= 20
name?|
Lengthlength <= 50
note?string|null
phone?|
Lengthlength <= 20
surname?|
Lengthlength <= 50
title?|
Lengthlength <= 10
zipCode?|
Lengthlength <= 6
curl -X GET 'https://<your-instance>/api/item-lists/companies/representatives/0' \  -H 'Authorization: Bearer <access-token>'
{  "address1": "string",  "address2": "string",  "city": "string",  "companyId": 0,  "country": "string",  "dateOfBirth": "2019-08-24T14:15:22Z",  "dateOfNameDay": "2019-08-24T14:15:22Z",  "email": "string",  "eshopRepresentativeId": "string",  "fax": "string",  "functionId": 0,  "id": 0,  "isInformEnabled": true,  "mobilePhone": "string",  "name": "string",  "note": "string",  "phone": "string",  "surname": "string",  "title": "string",  "zipCode": "string"}